## ktp-contact-runner 0.6.1

=== CMakeLists.txt ===
project(KTPContactRunner)

set(KTP_CONTACT_RUNNER_VERSION "0.6.1")
set(IS_KTP_INTERNAL_MODULE TRUE)

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
    ${CMAKE_MODULE_PATH})
cmake_policy(SET CMP0002 OLD)

# Find the required Libaries
find_package(KDE4 REQUIRED)
find_package(TelepathyQt4 0.9.1 REQUIRED)
find_package(KTp REQUIRED)
include(KDE4Defaults)


add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${TELEPATHY_QT4_INCLUDE_DIR}
   ${KTP_INCLUDE_DIR}
   )

# We add our source code here
set(runner_SRCS src/contactrunner.cpp)

kde4_add_plugin(krunner_ktp_contacts ${runner_SRCS})
target_link_libraries(krunner_ktp_contacts
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${TELEPATHY_QT4_LIBRARIES}
                      ${KTP_MODELS_LIBRARIES}
                      ${KTP_LIBRARIES})

install(TARGETS krunner_ktp_contacts
        DESTINATION ${PLUGIN_INSTALL_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/plasma-runner-ktp-contact.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/plasma-runner-ktp-contact.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-runner-ktp-contact.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

## ktp-contact-runner 0.5.1

=== debian/changelog ===
ktp-contact-runner (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:37:45 +0530

ktp-contact-runner (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:44:05 +0530

ktp-contact-runner (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Dropped 01_call1_channel_type.diff - went upstream

 -- Michal Zajac <quintasan@kubuntu.org>  Wed, 01 Aug 2012 00:26:45 +0200

ktp-contact-runner (0.4.0-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Tue, 19 Jun 2012 22:42:21 +0300

=== debian/control ===
Source: ktp-contact-runner
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 cmake,
 pkg-kde-tools,
 kdelibs5-dev,
 libtelepathy-qt4-dev (>= 0.9.1-4),
 libktpcommoninternalsprivate-dev (>= 0.5.1)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git

Package: plasma-runner-telepathy-contact
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: Telepathy Contact KRunner plugin
 This package provides a KRunner plugin which allows you to execute actions
 like start a text chat or start an audio/video call with your Telepathy
 IM contacts.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: plasma-runner-telepathy-contact-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-runner-telepathy-contact (= ${binary:Version}), ${misc:Depends}
Description: Telepathy Contact KRunner plugin - debug symbols
 This package provides the debug symbols for the Telepathy Contact
 KRunner plugin.

## ktp-contact-runner 0.5.2

=== debian/changelog ===
ktp-contact-runner (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:22:52 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkg-kde-tools,
  kdelibs5-dev,
  libtelepathy-qt4-dev (>= 0.9.1-4),
- libktpcommoninternalsprivate-dev (>= 0.5.1)
+ libktpcommoninternalsprivate-dev (>= 0.5.2)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-contact-runner-([\d.]+).tar.bz2

## ktp-contact-runner 0.6.1

=== debian/changelog ===
ktp-contact-runner (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:32:12 +0100

ktp-contact-runner (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:15:18 +0100

ktp-contact-runner (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 18:19:04 +0000

ktp-contact-runner (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:26:36 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkg-kde-tools,
  kdelibs5-dev,
  libtelepathy-qt4-dev (>= 0.9.1-4),
- libktpcommoninternalsprivate-dev (>= 0.5.2)
+ libktpcommoninternalsprivate-dev (>= 0.6.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git

## ktp-contact-runner 0.6.3

=== debian/changelog ===
ktp-contact-runner (0.6.3-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev 

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 21:46:37 +0800

ktp-contact-runner (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 14:51:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkg-kde-tools,
  kdelibs5-dev,
  libtelepathy-qt4-dev (>= 0.9.1-4),
- libktpcommoninternalsprivate-dev (>= 0.6.0)
+ libktpcommoninternalsprivate-dev (>= 0.6.3)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git

## ktp-contact-runner 0.7.0

=== debian/changelog ===
ktp-contact-runner (0.7.0-1) unstable; urgency=low

  * Import new upstream release 0.7.0
  * Bump Build-Depends of libktpcommoninternalsprivate-dev to 0.7.0
  * Bump Depends kde-telepathy-data to 0.7.0

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:12:15 -0800

ktp-contact-runner (0.6.3-1) unstable; urgency=low

  * Initial release. (Closes: #716665)

 -- Diane Trout <diane@ghic.org>  Mon, 23 Sep 2013 19:08:52 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-contact-runner
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake,
  pkg-kde-tools,
  kdelibs5-dev,
- libtelepathy-qt4-dev (>= 0.9.1-4),
- libktpcommoninternalsprivate-dev (>= 0.6.3)
-Standards-Version: 3.9.3
+ libtelepathy-qt4-dev (>= 0.9.1),
+ libktpcommoninternalsprivate-dev (>= 0.7.0)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
 
 Package: plasma-runner-telepathy-contact
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
 Recommends: kde-telepathy
 Description: Telepathy Contact KRunner plugin
  This package provides a KRunner plugin which allows you to execute actions

## ktp-contact-runner 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(KTPContactRunner)
 
-set(KTP_CONTACT_RUNNER_VERSION "0.6.1")
+set(KTP_CONTACT_RUNNER_VERSION "0.8.0")
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
 set(CMAKE_MODULE_PATH

=== po/sr@ijekavian/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( sr@ijekavian ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
ktp-contact-runner (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 15:11:12 +0200

ktp-contact-runner (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:14:13 +0100

ktp-contact-runner (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:46:03 +0100

ktp-contact-runner (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:46:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: ktp-contact-runner
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  cmake,
  pkg-kde-tools,
  kdelibs5-dev,
- libtelepathy-qt4-dev (>= 0.9.1),
- libktpcommoninternalsprivate-dev (>= 0.7.0)
-Standards-Version: 3.9.4
+ libtelepathy-qt4-dev (>= 0.9.1-4),
+ libktpcommoninternalsprivate-dev (>= 0.8.0)
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
 
 Package: plasma-runner-telepathy-contact
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
 Recommends: kde-telepathy
 Description: Telepathy Contact KRunner plugin
  This package provides a KRunner plugin which allows you to execute actions

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-contact-runner-([\d.]+).tar.bz2

## ktp-contact-runner 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(KTPContactRunner)
 
-set(KTP_CONTACT_RUNNER_VERSION "0.8.0")
+set(KTP_CONTACT_RUNNER_VERSION "0.8.1")
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
 set(CMAKE_MODULE_PATH

=== po/ca@valencia/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ca@valencia ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/nb/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( nb ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/nds/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( nds ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
ktp-contact-runner (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:33:05 +0200

ktp-contact-runner (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:11:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkg-kde-tools,
  kdelibs5-dev,
  libtelepathy-qt4-dev (>= 0.9.1-4),
- libktpcommoninternalsprivate-dev (>= 0.8.0)
+ libktpcommoninternalsprivate-dev (>= 0.8.1)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --dbg-package=plasma-runner-telepathy-contact-dbg --list-missing

## ktp-contact-runner 0.9.0

=== debian/changelog ===
ktp-contact-runner (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:01 +0100

ktp-contact-runner (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Change kde-telepathy-data dependency to source:Upstream-Version
  * Update copyright file

 -- Diane Trout <diane@ghic.org>  Sat, 20 Sep 2014 15:43:34 -0700

ktp-contact-runner (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Updaate libktpcommoninternals and kde-telepathy-data to 0.8.1
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 21:02:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-contact-runner
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake,
  pkg-kde-tools,
  kdelibs5-dev,
- libtelepathy-qt4-dev (>= 0.9.1-4),
- libktpcommoninternalsprivate-dev (>= 0.8.1)
-Standards-Version: 3.9.3
+ libtelepathy-qt4-dev (>= 0.9.1),
+ libktpcommoninternalsprivate-dev (>= 0.8.80)
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
 
 Package: plasma-runner-telepathy-contact
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
 Recommends: kde-telepathy
 Description: Telepathy Contact KRunner plugin
  This package provides a KRunner plugin which allows you to execute actions

## ktp-contact-runner 15.08.2

=== CMakeLists.txt ===
project(KTPContactRunner)

cmake_minimum_required(VERSION 2.8.12)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "08")
set(KDE_APPLICATIONS_VERSION_MICRO "2")
set(KTP_CONTACT_RUNNER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(IS_KTP_INTERNAL_MODULE TRUE)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH
     ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_MODULE_PATH}
)
cmake_policy(SET CMP0002 OLD)

# Find the required Libaries
find_package (Qt5 REQUIRED CONFIG COMPONENTS Widgets Core DBus Network)
find_package (KF5 REQUIRED COMPONENTS I18n Service Runner)
find_package (KTp REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   )

# We add our source code here
set(runner_SRCS src/contactrunner.cpp)

add_library(krunner_ktp_contacts MODULE ${runner_SRCS})
target_link_libraries(krunner_ktp_contacts
                      Qt5::Widgets
                      KF5::I18n
                      KF5::Service
                      KF5::Runner
                      KTp::Models
                      KTp::CommonInternals)

install(TARGETS krunner_ktp_contacts
        DESTINATION ${PLUGIN_INSTALL_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/plasma-runner-ktp-contact.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/plasma-runner-ktp-contact.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-runner-ktp-contact.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-contact-runner (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:50:52 +0100

ktp-contact-runner (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:31:40 +0100

ktp-contact-runner (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:42:06 +0100

ktp-contact-runner (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:18:26 +0100

ktp-contact-runner (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:29:27 +0200

=== debian/control ===
Source: ktp-contact-runner
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5package-dev,
               libkf5runner-dev,
               libkf5service-dev,
               libkf5wallet-dev,
               libkf5windowsystem-dev,
               libktp-dev,
               libtelepathy-qt5-dev,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev,
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-runner
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git

Package: plasma-runner-telepathy-contact
Architecture: any
Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy Contact KRunner plugin
 This package provides a KRunner plugin which allows you to execute actions
 like start a text chat or start an audio/video call with your Telepathy
 IM contacts.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: plasma-runner-telepathy-contact-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-runner-telepathy-contact (= ${binary:Version}), ${misc:Depends}
Description: Telepathy Contact KRunner plugin - debug symbols
 This package provides the debug symbols for the Telepathy Contact
 KRunner plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-runner-telepathy-contact-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-contact-runner-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-contact-runner-([\d.]+).tar.xz

## ktp-contact-runner 15.08.3

=== debian/changelog ===
ktp-contact-runner (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:51:43 -0800

ktp-contact-runner (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file for KTp's move to Applications.
  * New upstream release.
  * Update copyright file as the translations are shipped elsewhere,
    and the cmake files were removed.
  * Update build-depends to include extra-cmake-modules, qtbase5-dev,
    libtelepathy-qt5-dev libtelepathy-logger-qt-dev, the renamed
    libktp-dev and a few other kf5-dev packages.
  * Update install paths for plasma-runner-telepathy-contact
  * Use --fail-missing to make it easier to find not installed files.
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
    - Update plugins path to qt5/plugins.
  * Add KDE's unstable download url to watch file

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:46:24 -0800

ktp-contact-runner (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Update libktpcommoninternalsprivate-dev build-dep to 0.9.0
  * Update copyright file
  * Update Standards-Version to 3.9.6. No changes needed.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 19:54:21 -0700

=== debian/control ===
Source: ktp-contact-runner
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 extra-cmake-modules,
 pkg-kde-tools,
 qtbase5-dev,
 libtelepathy-qt5-dev (>= 0.9.1),
 libtelepathy-logger-qt-dev,
 libktp-dev (>= 15.04),
 libkf5i18n-dev,
 libkf5service-dev,
 libkf5runner-dev,
 libkf5wallet-dev,
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-runner.git

Package: plasma-runner-telepathy-contact
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
Recommends: kde-telepathy
Description: Telepathy Contact KRunner plugin
 This package provides a KRunner plugin which allows you to execute actions
 like start a text chat or start an audio/video call with your Telepathy
 IM contacts.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: plasma-runner-telepathy-contact-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-runner-telepathy-contact (= ${binary:Version}), ${misc:Depends}
Description: Telepathy Contact KRunner plugin - debug symbols
 This package provides the debug symbols for the Telepathy Contact
 KRunner plugin.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=plasma-runner-telepathy-contact-dbg
+
+override_dh_install:
+	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-contact-runner-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-contact-runner-([\d.]+).tar.(?:bz2|xz)

## ktp-contact-runner 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # KDE Application Version, managed by release script
 set(KDE_APPLICATIONS_VERSION_MAJOR "15")
-set(KDE_APPLICATIONS_VERSION_MINOR "08")
-set(KDE_APPLICATIONS_VERSION_MICRO "2")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_CONTACT_RUNNER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(IS_KTP_INTERNAL_MODULE TRUE)

=== debian/changelog ===
ktp-contact-runner (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add missing epoch from libktp-dev depend. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:10:35 -0700

ktp-contact-runner (4:15.12.1-2ubuntu1) xenial; urgency=medium

  * Merged with Debian
    - Added epoch for Debian
  * New upstream release 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:20:42 +0100

ktp-contact-runner (15.12.1-2) experimental; urgency=medium

  * Bump build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 21:05:14 +0100

ktp-contact-runner (15.12.1-1) experimental; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Diane Trout ]
  * New upstream release
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Change kde-telepathy-data dependency to source:Upstream-Version
  * Update copyright file

  [ Maximiliano Curia ]
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * New upstream release (15.08.1).
  * New upstream release (15.08.2).
  * New upstream release (15.08.3).
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:25 +0100

=== debian/control ===
Source: ktp-contact-runner
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               gettext,
               libkf5i18n-dev,
               libkf5runner-dev,
               libkf5service-dev,
               libkf5wallet-dev,
               libktp-dev (>= 4:15.12~),
               libtelepathy-qt5-dev (>= 0.9.1),
               libtelepathy-logger-qt-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-contact-runner.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-contact-runner.git

Package: plasma-runner-telepathy-contact
Architecture: any
Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy Contact KRunner plugin
 This package provides a KRunner plugin which allows you to execute actions
 like start a text chat or start an audio/video call with your Telepathy
 IM contacts.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='plasma-runner-telepathy-contact-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-contact-runner 16.04.3

=== debian/changelog ===
ktp-contact-runner (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Debian merge: No remaining changes. 
  * Fix merge. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:28:59 +0200

ktp-contact-runner (15.12.2-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 09:44:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0~),
+               extra-cmake-modules (>= 5.24.0~),
                gettext,
-               libkf5i18n-dev,
-               libkf5runner-dev,
-               libkf5service-dev,
-               libkf5wallet-dev,
-               libktp-dev (>= 4:15.12~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5runner-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libktp-dev (>= 4:16.04.3~),
+               libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.1),
-               libtelepathy-logger-qt-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-contact-runner.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-contact-runner.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner
 
 Package: plasma-runner-telepathy-contact
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-runner-telepathy-contact-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-contact-runner 16.12.3

=== debian/changelog ===
ktp-contact-runner (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:28 +0000

ktp-contact-runner (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:07 +0000

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                gettext,
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5runner-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
-               libktp-dev (>= 4:16.04.3~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5runner-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libktp-dev (>= 4:16.12.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner
 
 Package: plasma-runner-telepathy-contact

## ktp-contact-runner 17.04.3

=== debian/changelog ===
ktp-contact-runner (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:22 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5runner-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>> 0.15.15),
@@ -28,6 +28,8 @@
 Architecture: any
 Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-telepathy
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Telepathy Contact KRunner plugin
  This package provides a KRunner plugin which allows you to execute actions
  like start a text chat or start an audio/video call with your Telepathy

## ktp-contact-runner 17.08.3

=== debian/control ===
Source: ktp-contact-runner
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               gettext,
               libkf5i18n-dev,
               libkf5runner-dev,
               libkf5service-dev,
               libkf5wallet-dev,
               libktp-dev (>= 17.08.3~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-contact-runner.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-contact-runner.git

Package: plasma-runner-telepathy-contact
Architecture: any
Depends: kde-telepathy-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy Contact KRunner plugin
 This package provides a KRunner plugin which allows you to execute actions
 like start a text chat or start an audio/video call with your Telepathy
 IM contacts.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-runner-telepathy-contact-dbg (<= 15.12.1-1~~)'

## ktp-contact-runner 17.12.3

=== debian/changelog ===
ktp-contact-runner (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:30 +0000

ktp-contact-runner (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:17 +0000

ktp-contact-runner (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:55 +0000

=== debian/control ===
Source: ktp-contact-runner
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5runner-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libktp-dev (>= 4:17.12.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.1),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner

Package: plasma-runner-telepathy-contact
Architecture: any
Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Telepathy Contact KRunner plugin
 This package provides a KRunner plugin which allows you to execute actions
 like start a text chat or start an audio/video call with your Telepathy
 IM contacts.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-runner-telepathy-contact-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-contact-runner-([\d.]+)\.tar\.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-contact-runner-([\d.]+)\.tar\.(?:bz2|xz)

## ktp-contact-runner 18.04.3

=== debian/changelog ===
ktp-contact-runner (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:35 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                libkf5runner-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:17.12.3~),
+               libktp-dev (>= 4:18.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner

## ktp-contact-runner 18.12.3

=== debian/changelog ===
ktp-contact-runner (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:33:11 +0000

ktp-contact-runner (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:14 +0000

ktp-contact-runner (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:05 +0000

ktp-contact-runner (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:19 +0000

ktp-contact-runner (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 13:30:12 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Diane Trout <diane@ghic.org>,
            Michał Zając <quintasan@kubuntu.org>,
            Mark Purcell <msp@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
@@ -14,12 +14,12 @@
                libkf5runner-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:18.04.3~),
+               libktp-dev (>= 4:18.12.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-runner
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-runner

## ktp-contact-runner 19.04.3

=== debian/changelog ===
ktp-contact-runner (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:50 +0100

ktp-contact-runner (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:12:46 +0100

ktp-contact-runner (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:26 +0100

ktp-contact-runner (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:48:05 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5runner-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:18.12.3~),
+               libktp-dev (>= 4:19.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>> 0.15.15),

## ktp-contact-runner 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 cmake_minimum_required(VERSION 2.8.12)
 
+include(FeatureSummary)
+
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "15")
+set(KDE_APPLICATIONS_VERSION_MAJOR "19")
 set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_CONTACT_RUNNER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
@@ -53,3 +55,6 @@
          DESTINATION ${SERVICES_INSTALL_DIR}
 )
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+ki18n_install(po)

=== debian/changelog ===
ktp-contact-runner (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:15:11 +0000

ktp-contact-runner (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:37 +0000

ktp-contact-runner (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:58:53 +0000

ktp-contact-runner (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:52:35 +0000

ktp-contact-runner (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:37:14 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5runner-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:19.04.3~),
+               libktp-dev (>= 4:19.12.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>> 0.15.15),
